Bug 970507 - firewall-cmd --query-rule ipv4 filter
firewall-cmd --query-rule ipv4 filter
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 04:05 EDT by Petr Sklenar
Modified: 2013-06-08 23:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: firewalld-0.3.3-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-08 23:29:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2013-06-04 04:05:08 EDT
Description of problem:
see steps

Version-Release number of selected component (if applicable):
firewalld-0.3.2-1.fc19.noarch

How reproducible:
always

Steps to Reproduce:
1. # firewall-cmd --query-rule ipv4 filter
Traceback (most recent call last):
  File "/bin/firewall-cmd", line 374, in <module>
    a.query_rule[2], a.query_rule[3:]))
IndexError: list index out of range

Actual results:
there is error

Expected results:
there is help

Additional info:
it expect some arg, but there is not mention which args.
Comment 2 Fedora Update System 2013-06-07 05:03:24 EDT
firewalld-0.3.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/firewalld-0.3.3-1.fc19
Comment 3 Fedora Update System 2013-06-07 11:40:39 EDT
Package firewalld-0.3.3-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.3.3-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10276/firewalld-0.3.3-2.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-06-08 23:29:52 EDT
firewalld-0.3.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.